Documentation Index

Fetch the complete documentation index at: https://docs.wair.ai/llms.txt

Use this file to discover all available pages before exploring further.

POST /Seasons

Prev Next

GENERAL INFORMATION

Purpose

This endpoint is used for sharing product brand information.

How the data is used

The season information is shown throughout the customer portal so users are quick to identify the season of the products in the overview:

This enables users to gain insights of the products of that season so they are able to make decisions and/or create (automated) actions in the customer portal based on the season information. This makes it a highly recommended dataset to share.

Best practices

  1. Make sure to update the season on a regular basis, recommended minimum once a day, to ensure the season information is complete and in-line with the seasons assigned to the items.

  2. Ensure that the id you are using in this endpoint aligns with the seasonId you are assigning to the items in this endpoint POST /Items

  3. For the description use a clear, short description of the season, for example “Winter 2025”

Common pitfalls

  1. Do not generated a random id for the seasonId field in the integration, only use system generated id’s that are fixed in the source system, as you need the same id to also be able to update the season information.

  2. A common pitfall is to send a system generated like a uuid in the code field, which can make it unclear for users in our customer portal to see which season they are looking at.

Example use cases

  1. As a merchandiser I want to give a push to the replenishment of all the T-Shirts from the Summer 2025 season.

  2. As a merchandiser I want redistribute all the Summer 2025 Shorts.

  3. As a merchandiser I want to stop replenishment for all my Summer 2025 Dresses because the season has ended.

TECHNICAL INFORMATION

Authentication

Bearer token, information on page POST /Token

Headers

Name

Description

Example

X-Tenant

Tenant code supplied by Wair

“TENANT”

QueryParameters:

Name

Description

Example

fullLoad

See documentation: Integration core principles

true

Body example:

{
  "seasons": [
    {
      "seasonId": "a4947315-27ca-4b2d-a130-f1df461944d3",
      "code": "S23",
      "description": "Summer 2023"
    },
    {
      "seasonId": "85e94fa4-df7e-4bc1-8378-d5d321cba269",
      "code": "W23",
      "description": "Winter 2023"
    }
  ]
}

Field information:

Fieldname

Context

Mandatory

Type / max characters

seasonId

Unique identifier for this season, needs to be unique across all seasons. If you want to update a season, send the season again using this id.

Yes

string / 80 characters

code

A business key of the season, often user defined/recognizable.

Yes

string / 60 characters max

description

The name of the season

No, but highly preferred

string / 255 characters max

RESPONSE

StatusCodes:

200 = OK

401 = Unauthorized, which means an expired/missing/invalid token

400 = Bad request, see body of the response to check which validation errors have occured

500 = System error, see body of the response to check which error has occured or contact integration support

Body Example:

No body in the response